Skip to main content
`Ctrl`+`K`

# MatRestoreNullSpaces

sets the null spaces, transpose null spaces, and near null spaces obtained with `MatGetNullSpaces()` for an array of matrices

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatRestoreNullSpaces(PetscInt n, Mat mat[], MatNullSpace *nullsp[])

Logically Collective

## Input Parameters

- n - the number of matrices

- mat - the array of matrices

- nullsp - an array of null spaces, `NULL` if the null space does not exist

## Note

Call `MatGetNullSpaces()` to create `nullsp`

## See Also

Matrices, `Mat`, `MatCreate()`, `MatNullSpaceCreate()`, `MatSetNearNullSpace()`, `MatGetNullSpace()`, `MatSetTransposeNullSpace()`, `MatGetTransposeNullSpace()`, `MatNullSpaceRemove()`, `MatGetNullSpaces()`

## Level

developer

## Location

src/mat/interface/matrix.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages